
kerio.waw.ui.ftpRuleServerEditor = {

x_m: function(x_n) {
var
x_1d,
x_1c,
x_10,
x_16,
x_2w,
x_1b = kerio.lib,
x_x = x_1b.x_x,
x_uh = x_r.x_uh,
x_o = (kerio.waw.status.x_p.x_q === x_r.x_s.x_t);
this.x_ga = x_n; x_2w = this.x_ga + '_';
x_1d = {
x_5p: x_o,
x_1e: [
{	x_1f: 'x_1i',
x_1o: x_x('Apply rule for:', 'ftpRuleEditor'),
x_1l: true
},
{	x_1f: 'x_1g',
x_b2: 1,
x_1l: true,
x_1e: [
{	x_1f: 'x_7a',
x_7b: 'x_v6',
x_1s: x_x('any server', 'ftpRuleEditor'),
x_1o: x_uh.x_ui,
x_7d: true,

x_9t: function(x_1c) {
var
x_v7 = x_1c.x_v8.x_2t(),
x_uh = x_r.x_uh;
x_1c.x_84(['x_v9', 'x_va', 'x_4m'], true);
if (x_uh.x_v0 === x_v7) {
x_1c.x_84(['x_va'], false);
} else if(x_uh.x_uz === x_v7) {
x_1c.x_84(['x_v9'], false);
}
}},
{	x_1f: 'x_5x',
x_1e: [
{	x_1f: 'x_7a',
x_7b: 'x_v6',
x_1s: x_x('server:', 'ftpRuleEditor'),
x_1l: true,
x_1o: x_uh.x_uz
},
{	x_1l: true,
x_1j: 'x_v9',
x_1u: '100%',
x_93: 127,
x_ge: true,
x_b6: {
x_nv: 'x_nw',
x_b7: false
}
}
]
},
{
x_1f: 'x_5x',
x_1e: [
{	x_1f: 'x_7a',
x_7b: 'x_v6',
x_1s: x_x('IP address from group:', 'ftpRuleEditor'),
x_1o: x_uh.x_v0,
x_1l: true
},
{	x_1f: 'x_9u',
x_1j: 'x_va',
x_1l: true,
x_5z: [],
x_a5: 'x_a6',
x_a7: 'x_1j',
x_31: true,
x_1u: '100%'
}
]
}
]
}
]
};x_1c = new x_1b.x_1t(x_2w + 'x_1c', x_1d);
x_10 = {
x_1u: 450,
x_l0: 450,
x_1v: 190,
x_l1: 190,
x_1y: x_x('FTP Rule - Server', 'ftpRuleEditor'),
x_1x: x_1c,

x_mc: function(x_32) {
x_32.x_16.x_iy.call(x_32.x_16);
} };x_10 = new x_fa.x_md(x_10);
x_16 = new x_1b.x_26(this.x_ga, x_10);
x_16.x_27(
{	x_1c: x_1c,
x_o5: {},
x_5d: {}
}
);x_1c.x_27(
{	x_v8: x_1c.x_29('x_v6'),
x_va: x_1c.x_29('x_va'),
x_vb: false,
x_vc: {}
}
);this.x_2a(x_16);
return x_16;
}, 
x_2a: function(x_2b) {

x_2b.x_2c = function(x_28){
var
x_vd,
x_1c = this.x_1c,
x_47 = x_28.x_47,
x_ve = x_47.serverAddressGroup,
x_gh;
this.x_o5 = x_47;
this.x_5d = x_28.x_5d;
x_vd = {
x_ic: 'x_id',
x_9u: x_1c.x_va,
x_1c: x_1c,
x_vf: false,
x_1o: (
{	x_1j: x_ve.id,
x_a6: x_ve.name
}
) };
x_gh = new kerio.waw.shared.x_3e.x_ib(x_vd);
x_gh.x_4y();
if (x_ve.invalid) {
x_1c.x_vb = true;
x_1c.x_vc = x_ve;
}
x_1c.x_7k(
{	x_v6: x_47.serverType,
x_v9: x_47.server
}
);
};
x_2b.x_iy = function() {
var
x_1c  = this.x_1c,
x_va = x_1c.x_va,
x_7h = x_1c.x_7i(true),
x_o5 = this.x_o5,
x_uh = x_r.x_uh,
x_vg = x_uh.x_ui,
x_vh = x_7h.x_v6,
x_1b = kerio.lib,
x_x = x_1b.x_x,
x_ve = {};
x_o5.server = '';
x_o5.serverType = x_vg;
x_o5.serverAddressGroup = {'id': '', 'name': ''};
if (x_uh.x_v0 === x_vh && x_va.x_gh.x_vi()) {
x_1b.x_48(
x_x('No group available', 'policyList'),
x_x('There is no group available. Please select another option.', 'policyList')
); this.x_jt();
return;
}
switch (x_vh) {
case x_uh.x_uz:
if (x_7h.x_v9 !== '') {
x_o5.server = x_7h.x_v9;
x_o5.serverType = x_vh;
} else {
x_o5.serverType = x_vg;
}
break;
case x_uh.x_v0:
x_ve.id = x_7h.x_va;
x_ve.name = x_va.x_vj();
if (x_1c.x_vb && x_1c.x_vc.name === x_ve.name) {
x_ve = x_1c.x_vc;
x_ve.invalid = true;
}
x_o5.serverAddressGroup = x_ve;
x_o5.serverType = x_vh;
break;
} this.x_5d.x_hg();
this.x_2r();
kerio.waw.status.x_14.x_15(true);
};
x_2b.x_jo = function() {
this.x_1c.x_2h();
};
}
}; 